aboutsummaryrefslogtreecommitdiff
path: root/sway-de/local/bin/setbright
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-04-02 14:21:49 -0500
committerMatt Singleton <matt@xcolour.net>2023-04-02 14:21:49 -0500
commitb483c295c082207dd7e8063949c2ff5b1ed14daf (patch)
tree96af8f2cdd86e25f8a0967b0a55209aa3fc47fc1 /sway-de/local/bin/setbright
parenta19790b7f5e606c3082dd0c8664e4fd460e7df91 (diff)
new stow-based configuration management for graphical environment
Diffstat (limited to 'sway-de/local/bin/setbright')
-rwxr-xr-xsway-de/local/bin/setbright30
1 files changed, 30 insertions, 0 deletions
diff --git a/sway-de/local/bin/setbright b/sway-de/local/bin/setbright
new file mode 100755
index 0000000..7d2784a
--- /dev/null
+++ b/sway-de/local/bin/setbright
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -euo pipefail
+
+wobsock="$XDG_RUNTIME_DIR/wob.sock"
+if [ ! -p "$wobsock" ]; then
+ echo $wobsock
+ echo "communication socket not found"
+ exit 2
+fi
+
+current=$(brightnessctl -m info | cut -d, -f4 | tr --delete '%')
+case $1 in
+ up)
+ increment=$(( 5 - ( current % 5 ) ))
+ new=$(( current + increment ))
+ if [ $new -gt 100 ]; then
+ new=100
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new > $wobsock;;
+ down)
+ increment=$(( ( ( current - 1 ) % 5 ) + 1 ))
+ new=$(( current - increment ))
+ if [ $new -lt 0 ]; then
+ new=0
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new > $wobsock;;
+esac